Bug 42789 - Writer FILESAVE: when saving to doc format, option "AutoSize" of frame is lost
Summary: Writer FILESAVE: when saving to doc format, option "AutoSize" of frame is lost
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.4 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:doc
Depends on:
Blocks: DOC-Frames
  Show dependency treegraph
 
Reported: 2011-11-10 07:48 UTC by oc-spam65
Modified: 2018-10-02 02:57 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Minimal example (36.11 KB, application/vnd.oasis.opendocument.text)
2011-11-10 07:48 UTC, oc-spam65
Details

Note You need to log in before you can comment on or make changes to this bug.
Description oc-spam65 2011-11-10 07:48:26 UTC
Created attachment 53372 [details]
Minimal example

Hello,

I have a minimalist lowriter document with a figure and a caption. When the document is saved as .doc and read again with lowriter, the presentation is modified. This shouldn't happen. See attached minimal example with included explanations.

Best regards,

O.C.
Comment 1 sasha.libreoffice 2012-02-10 02:37:06 UTC
reproduced in 3.5.0 rc 3 on Fedora 64 bit
anchoring of picture from "to character" becomes "as character"
hight of frame from "auto size" becomes fixed
MS Word 2003 opens this produced doc file exactly as Writer, therefore problem is in saving file. And my question is:
It is possible save this document into doc correctly?
MS Word 2007 can not save anchoring of picture, but can save hight "auto size" into doc format.
Comment 2 sasha.libreoffice 2012-02-10 02:40:02 UTC
reproducible in 3.3.4 , so change version, and it is no regression
Comment 3 A (Andy) 2013-05-08 22:11:00 UTC
reproducible with LO 4.0.2.2 (Win7 Home, 64bit)
Comment 4 QA Administrators 2015-03-04 02:21:34 UTC Comment hidden (obsolete)
Comment 5 Buovjaga 2015-03-23 12:29:39 UTC
Reproduced.

Win 7 Pro 64-bit, LibO Version: 4.4.1.2
Build ID: 45e2de17089c24a1fa810c8f975a7171ba4cd432
Locale: fi_FI
Comment 6 tommy27 2016-04-16 07:25:11 UTC Comment hidden (obsolete)
Comment 7 oc-spam65 2016-04-16 09:30:38 UTC
The bug is still present.
Version: 5.0.5.1
Comment 8 QA Administrators 2018-10-02 02:57:16 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug